Update A Note
curl --request POST \
--url http://api.stuut.ai/v1/notes/{note_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"pinned": true
}
'import requests
url = "http://api.stuut.ai/v1/notes/{note_id}"
payload = {
"content": "<string>",
"pinned": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>', pinned: true})
};
fetch('http://api.stuut.ai/v1/notes/{note_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": "<string>",
"object": "<string>",
"partner_id": "<string>",
"id": "<string>",
"author": {
"email": "<string>",
"family_name": "<string>",
"given_name": "<string>",
"object": "<string>",
"organization_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"dashboard_settings": {
"thread_emails_sort_order": "asc"
},
"default_email_sender_id": "<string>",
"invited_by_user_id": "<string>",
"is_access_approved": true,
"is_org_admin": true,
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"onboarding_required": true,
"profile_picture": "<string>",
"selected": true
},
"author_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"pinned": true
}{
"data": {},
"error": "<string>",
"message": "<string>"
}{
"data": {},
"error": "<string>",
"message": "<string>"
}{
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
},
"message": "<string>"
}Notes
Update A Note
POST
/
v1
/
notes
/
{note_id}
Update A Note
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful response
The content of the note.
The ID of the partner this note belongs to.
Maximum string length:
32Maximum string length:
32Show child attributes
Show child attributes
The ID of the user who created this note.
Maximum string length:
32Whether the note is pinned and will show up first.
⌘I
